print.data.frame {base} | R Documentation

## Printing Data Frames

### Description

Print a data frame.

### Usage

    ## S3 method for class 'data.frame':
    print(x, ..., digits = NULL, quote = FALSE, right = TRUE)

### Arguments

`x` | object of class `data.frame`.
`...` | optional arguments to `print` or `plot` methods.
`digits` | the minimum number of significant digits to be used.
`quote` | logical, indicating whether or not entries should be printed with surrounding quotes.
`right` | logical, indicating whether or not strings should be right-aligned. The default is left-alignment.

### Details

This calls `format` which formats the data frame column-by-column, then converts to a character matrix and dispatches to the `print` method for matrices.

When `quote = TRUE` only the entries are quoted not the row names nor the column names.

### See Also

`data.frame`.

[Package base version 2.1.1 Index]